Loading...
Searching...
No Matches
lascl_diag: Scale matrix by diagonal
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(A = D A\) More...

## Functions

void | magmablas_clascl2 (magma_type_t type, magma_int_t m, magma_int_t n, magmaFloat_const_ptr dD, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| CLASCL2 scales the M by N complex matrix A by the real diagonal matrix dD.
void | magmablas_clascl_diag (magma_type_t type, magma_int_t m, magma_int_t n, magmaFloatComplex_const_ptr dD, magma_int_t lddd, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| CLASCL_DIAG scales the M by N complex matrix A by the real diagonal matrix dD.
void | magmablas_dlascl2 (magma_type_t type, magma_int_t m, magma_int_t n, magmaDouble_const_ptr dD, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| DLASCL2 scales the M by N real matrix A by the real diagonal matrix dD.
void | magmablas_dlascl_diag (magma_type_t type, magma_int_t m, magma_int_t n, magmaDouble_const_ptr dD, magma_int_t lddd, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| DLASCL_DIAG scales the M by N real matrix A by the real diagonal matrix dD.
void | magmablas_slascl2 (magma_type_t type, magma_int_t m, magma_int_t n, magmaFloat_const_ptr dD, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| SLASCL2 scales the M by N real matrix A by the real diagonal matrix dD.
void | magmablas_slascl_diag (magma_type_t type, magma_int_t m, magma_int_t n, magmaFloat_const_ptr dD, magma_int_t lddd, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| SLASCL_DIAG scales the M by N real matrix A by the real diagonal matrix dD.
void | magmablas_zlascl2 (magma_type_t type, magma_int_t m, magma_int_t n, magmaDouble_const_ptr dD, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| ZLASCL2 scales the M by N complex matrix A by the real diagonal matrix dD.
void | magmablas_zlascl_diag (magma_type_t type, magma_int_t m, magma_int_t n, magmaDoubleComplex_const_ptr dD, magma_int_t lddd, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue, magma_int_t *info)
| ZLASCL_DIAG scales the M by N complex matrix A by the real diagonal matrix dD.

## Detailed Description

\(A = D A\)

## Function Documentation

## magmablas_clascl2()

void magmablas_clascl2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dD,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

CLASCL2 scales the M by N complex matrix A by the real diagonal matrix dD.

TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | REAL vector, dimension (M) The diagonal matrix containing the scalar factors. Stored as a vector.
  [in,out] | dA | COMPLEX array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

See also
  magma_clascl_diag

## magmablas_clascl_diag()

void magmablas_clascl_diag | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dD,
|  | magma_int_t | lddd,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

CLASCL_DIAG scales the M by N complex matrix A by the real diagonal matrix dD.

TYPE specifies that A may be upper triangular or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | REAL vector, dimension (LDDD,M) The matrix storing the scaling factor on its diagonal.
  [in] | lddd | INTEGER The leading dimension of the array D.
  [in,out] | dA | COMPLEX array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlascl2()

void magmablas_dlascl2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dD,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

DLASCL2 scales the M by N real matrix A by the real diagonal matrix dD.

TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | DOUBLE PRECISION vector, dimension (M) The diagonal matrix containing the scalar factors. Stored as a vector.
  [in,out] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

See also
  magma_dlascl_diag

## magmablas_dlascl_diag()

void magmablas_dlascl_diag | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dD,
|  | magma_int_t | lddd,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

DLASCL_DIAG scales the M by N real matrix A by the real diagonal matrix dD.

TYPE specifies that A may be upper triangular or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | DOUBLE PRECISION vector, dimension (LDDD,M) The matrix storing the scaling factor on its diagonal.
  [in] | lddd | INTEGER The leading dimension of the array D.
  [in,out] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slascl2()

void magmablas_slascl2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dD,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

SLASCL2 scales the M by N real matrix A by the real diagonal matrix dD.

TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | REAL vector, dimension (M) The diagonal matrix containing the scalar factors. Stored as a vector.
  [in,out] | dA | REAL array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

See also
  magma_slascl_diag

## magmablas_slascl_diag()

void magmablas_slascl_diag | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dD,
|  | magma_int_t | lddd,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

SLASCL_DIAG scales the M by N real matrix A by the real diagonal matrix dD.

TYPE specifies that A may be upper triangular or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | REAL vector, dimension (LDDD,M) The matrix storing the scaling factor on its diagonal.
  [in] | lddd | INTEGER The leading dimension of the array D.
  [in,out] | dA | REAL array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlascl2()

void magmablas_zlascl2 | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dD,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

ZLASCL2 scales the M by N complex matrix A by the real diagonal matrix dD.

TYPE specifies that A may be full, upper triangular, lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaFull: full matrix. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | DOUBLE PRECISION vector, dimension (M) The diagonal matrix containing the scalar factors. Stored as a vector.
  [in,out] | dA | COMPLEX*16 array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.

See also
  magma_zlascl_diag

## magmablas_zlascl_diag()

void magmablas_zlascl_diag | ( | magma_type_t | type,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dD,
|  | magma_int_t | lddd,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue,
|  | magma_int_t * | info )

ZLASCL_DIAG scales the M by N complex matrix A by the real diagonal matrix dD.

TYPE specifies that A may be upper triangular or lower triangular.

Parameters

  [in] | type | magma_type_t TYPE indices the storage type of the input matrix A. = MagmaLower: lower triangular matrix. = MagmaUpper: upper triangular matrix. Other formats that LAPACK supports, MAGMA does not currently support.
  [in] | m | INTEGER The number of rows of the matrix A. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. N >= 0.
  [in] | dD | DOUBLE PRECISION vector, dimension (LDDD,M) The matrix storing the scaling factor on its diagonal.
  [in] | lddd | INTEGER The leading dimension of the array D.
  [in,out] | dA | COMPLEX*16 array, dimension (LDDA,N) The matrix to be scaled by dD. See TYPE for the storage type.
  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(1,M).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value.

  [in] | queue | magma_queue_t Queue to execute in.